// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.31.0
// 	protoc        v4.22.3
// source: variable.proto

package gen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// VariableCategory is an enum for the category of a variable
type VariableCategory int32

const (
	VariableCategory_HCL         VariableCategory = 0
	VariableCategory_ENVIRONMENT VariableCategory = 1
)

// Enum value maps for VariableCategory.
var (
	VariableCategory_name = map[int32]string{
		0: "HCL",
		1: "ENVIRONMENT",
	}
	VariableCategory_value = map[string]int32{
		"HCL":         0,
		"ENVIRONMENT": 1,
	}
)

func (x VariableCategory) Enum() *VariableCategory {
	p := new(VariableCategory)
	*p = x
	return p
}

func (x VariableCategory) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (VariableCategory) Descriptor() protoreflect.EnumDescriptor {
	return file_variable_proto_enumTypes[0].Descriptor()
}

func (VariableCategory) Type() protoreflect.EnumType {
	return &file_variable_proto_enumTypes[0]
}

func (x VariableCategory) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use VariableCategory.Descriptor instead.
func (VariableCategory) EnumDescriptor() ([]byte, []int) {
	return file_variable_proto_rawDescGZIP(), []int{0}
}

var File_variable_proto protoreflect.FileDescriptor

var file_variable_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x20, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
	0x6c, 0x65, 0x2a, 0x2c, 0x0a, 0x10, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x43, 0x61,
	0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x12, 0x07, 0x0a, 0x03, 0x48, 0x43, 0x4c, 0x10, 0x00, 0x12,
	0x0f, 0x0a, 0x0b, 0x45, 0x4e, 0x56, 0x49, 0x52, 0x4f, 0x4e, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x01,
	0x42, 0x57, 0x5a, 0x55, 0x6f, 0x78, 0x66, 0x6f, 0x72, 0x64, 0x2e, 0x61, 0x77, 0x73, 0x64, 0x65,
	0x76, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x63, 0x74, 0x73, 0x2f,
	0x63, 0x69, 0x63, 0x64, 0x2f, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x2d, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x2d,
	0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_variable_proto_rawDescOnce sync.Once
	file_variable_proto_rawDescData = file_variable_proto_rawDesc
)

func file_variable_proto_rawDescGZIP() []byte {
	file_variable_proto_rawDescOnce.Do(func() {
		file_variable_proto_rawDescData = protoimpl.X.CompressGZIP(file_variable_proto_rawDescData)
	})
	return file_variable_proto_rawDescData
}

var file_variable_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_variable_proto_goTypes = []interface{}{
	(VariableCategory)(0), // 0: martiancloud.phobos.api.variable.VariableCategory
}
var file_variable_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_variable_proto_init() }
func file_variable_proto_init() {
	if File_variable_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_variable_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_variable_proto_goTypes,
		DependencyIndexes: file_variable_proto_depIdxs,
		EnumInfos:         file_variable_proto_enumTypes,
	}.Build()
	File_variable_proto = out.File
	file_variable_proto_rawDesc = nil
	file_variable_proto_goTypes = nil
	file_variable_proto_depIdxs = nil
}
